---
metadata:
  - name: generator
    content: Diplodoc Platform v5.52.0
  - property: og:type
    content: article
  - property: article:section
    content: Справочник API
  - property: og:title
    content: Редактировать чеклист
  - property: article:tag
    content: Техническая инструкция
alternate:
  - https://yandex.ru/support/tracker/en/api-ref/entities/checklists/patch-checklist.md
  - https://yandex.ru/support/tracker/ru/api-ref/entities/checklists/patch-checklist.md
  - href: en/api-ref/entities/checklists/patch-checklist.md
    type: text/markdown
    title: Markdown version
  - href: ../../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.ru/support/tracker/en/llms.txt


# Editing a checklist

Use this request to edit checklist items in a project or portfolio. For more information about checklists, see [Creating a checklist](https://yandex.ru/support/tracker/en/user/checklist.md).

<div class="request_example method_patch yfm-clipboard">
    <p>PATCH</p>
    <pre><code>https://api.tracker.yandex.net/v3/entities/&lt;entity_type>/&lt;entity_ID>/checklistItems</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/api-ref/_assets/style/methods.md -->

<!-- endsource: en/api-ref/_assets/style/methods.md -->

{% note tip "" %}

You can also edit a checklist using the [Updating an entity](https://yandex.ru/support/tracker/en/api-ref/entities/update-entity.md) request. In the request body, pass the `fields` object with a nested `checklistItems` array. See [Additional entity parameters](https://yandex.ru/support/tracker/en/api-ref/entities/about-entities.md#query-params).

{% endnote %}

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.ru/support/tracker/en/api-ref/access.md).

To edit checklist items, use an HTTP `PATCH` request. In the request body, specify the parameters in JSON format.

```json translate=no
PATCH /v3/entities/<entity_type>/<entity_ID>/checklistItems
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>

[
  {
    "id": "658953a65c0f1b21********",
    "text": "Item text",
    "checked": true,
    "assignee": "username",
    "deadline": {
      "date": "2021-05-09T00:00:00.000+0000",
      "deadlineType": "date"
    }
  },
  {
    ...
  }
]
```

<!-- source: en/api-ref/_includes/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/api-ref/_includes/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.ru/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Identity Hub organization is linked to Tracker. [Learn more](https://yandex.ru/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/api-ref/_includes/authorization.md -->


* <!-- source: en/api-ref/_includes/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Identity Hub.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/api-ref/_includes/org-id.md -->


{% endcut %}
<!-- endsource: en/api-ref/_includes/headings.md -->

<!-- source: en/api-ref/_includes/resource-entity.md -->
{% cut "Resource" %}

| Parameter | Description | Data type |
-------- | -------- | ----------
| \<entity_type> | Entity type:<ul><li>project</li><li>portfolio | String |
| \<entity_ID> | Entity ID. To get the ID, see the [entity list](../search-entities.md). You can use the `id` or `shortId` parameter as the ID. | String |

{% endcut %}
<!-- endsource: en/api-ref/_includes/resource-entity.md -->

<!-- source: en/api-ref/_includes/query-params-checklist.md -->
{% cut "Request parameters" %}

**Additional parameters**

| Parameter | Description | Data type |
-------- | -------- | ----------
| notify | Notify the users specified in the **Author**, **Responsible**, **Participants**, **Customers**, and **Followers** fields. The default value is `true`. | Boolean |
| notifyAuthor | Notify the author of the changes. The default value is `false`. | Boolean |
| [fields](../about-entities.md#query-params) | Additional entity fields to include in the response | String |
| expand | Additional information to include in the response: <ul><li>`attachments`: Attached files</li></ul> | String |

{% endcut %}
<!-- endsource: en/api-ref/_includes/query-params-checklist.md -->

{% cut "Request body parameters" %}

The request body contains the information needed to make changes to the checklist items:

**Required parameters**

| Parameter | Description | Data type |
----- | ----- | -----
| id | Item ID. | String |
| text | Text of the checklist item. | String |

**Additional parameters**

{% note warning "" %}

* If the value of the additional parameter is not specified, it will be reset to the default value, depending on the field type (empty string, `0`, `null`, `false`). Repeat the values of the parameters you did not change.
* The number of items cannot change. You can separately [add](https://yandex.ru/support/tracker/en/api-ref/entities/checklists/add-checklist.md) or [delete](https://yandex.ru/support/tracker/en/api-ref/entities/checklists/delete-checklist-item.md) checklist items.

{% endnote %}

| Parameter | Description | Data type |
----- | ----- | -----
| checked | Item completion flag: <ul><li>`true`: Item marked as completed.</li><li>`false`: Item not marked as completed.</li></ul> | Boolean |
| assignee | ID or username of the user to whom the checklist item is assigned. | Number or string |
| deadline | Deadline for the checklist item. | Map object |

`deadline` **object fields** {#deadline-checklist}

| Parameter | Description | Data type |
----- | ----- | -----
| date | Deadline in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format. | Date |
| deadlineType | `deadline` parameter data type. | String |

{% endcut %}

> Example: Editing two checklist items
>
> - An HTTP PATCH method is used.
> - The first checklist item name changes to **Edited checklist item 1**. Other field values are reset (assignee, deadline, completion flag, and item type).
> - The second item gets a different assignee and a completion flag. Other field values are reset (deadline and item type).
> - The response displays information about all the checklist items (`fields=checklistItems`).
>
> ```json translate=no
> PATCH /v3/entities/project/<project_ID>/checklistItems?fields=checklistItems
> Host: api.tracker.yandex.net
> Authorization: OAuth <OAuth_token>
> X-Org-ID or X-Cloud-Org-ID: <organization_ID>
>
> [
>   {
>      "id": "658953a65c0f1b21********",
>      "text": "First list item"
>   },
>   {
>      "id": "658953a65c0f1b21********",
>      "text":"Second list item",
>      "assignee": 19*********,
>      "checked": true
>   }
> ]
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

  <!-- source: en/api-ref/_includes/answer-200.md -->
  If the request is successful, the API returns a response with code `200 OK`.
  <!-- endsource: en/api-ref/_includes/answer-200.md -->

  The response body contains information about the entity, its attachments, and checklist items in JSON format.

  ```json translate=no
  {
      "self": "https://api.tracker.yandex.net/v3/entities/project/6586d6fee2b9ef74********",
      "id": "6586d6fee2b9ef74********",
      "version": 133,
      "shortId": 0,
      "entityType": "project",
      "createdBy": {
          "self": "https://api.tracker.yandex.net/v3/users/11********",
          "id": "11********",
          "display": "User Name",
          "cloudUid": "ajeppa7dgp53********",
          "passportUid": 11********
      },
      "createdAt": "2023-12-13T15:06:27.231Z",
      "updatedAt": "2023-12-13T15:06:27.231Z",
      "fields": {
          "checklistItems": [
             {
                 "id": "6586d91f99a40477********",
                 "text": "Modified list item",
                 "checked": false,
                 "assignee": {
                    "id": 133******,
                    "passportUid": 133******,
                    "login": "username",
                    "display": "User Name",
                    ...
                  },
                 "checklistItemType": "standard"
             },
             {
                 "id": "6586d91f99a40477********",
                 "text": "Second list item",
                 "checked": true,
                 "checklistItemType": "standard"
             }
          ]
      }
  }
  ```

  {% cut "Response parameters" %}

  <!-- source: en/api-ref/_includes/entity.md -->
  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | self | Address of the API resource with information about the entity | String |
  | id | Entity ID | String |
  | version | Entity version. Each change of the parameters increases the version number. <br>Entity edits will be disabled if the version number reaches the threshold value of `10100` (for robots) or `11100` (for users) | Number |
  | shortId | Numeric ID of the entity | Number |
  | entityType | Entity type | String |
  | createdBy | Block with information about the entity creator | Map object |
  | createdAt | Entity creation date in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format | String |
  | updatedAt | Date when the entity was last updated, in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format | String |
  | [fields](../about-entities.md#query-params) | Block with additional entity fields | Map object |
  <!-- endsource: en/api-ref/_includes/entity.md -->

  `createdBy` **object fields** {#created-by}

  <!-- source: en/api-ref/_includes/user.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the user | String |
  | id | User ID. | String |
  | display | Displayed user name | String |
  | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
  | cloudUid | Unique user ID in Yandex Identity Hub | String |
  <!-- endsource: en/api-ref/_includes/user.md -->

  `fields` **object fields** {#fields}

  | Parameter | Description | Data type |
  ----- | ----- | -----
  | checklistItems | Information about checklist items. | Array of objects |

  `checklistItems` **object fields** {#checklist-items}

  <!-- source: en/api-ref/_includes/checklist-items.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | id | Сhecklist item ID. | String |
  | text | Text of the checklist item. | String |
  | textHtml | Text of the checklist item in HTML format. | String |
  | checked | Checklist item completion flag:<ul><li>`true`: Item marked as completed.</li><li>`false`: Item not marked as completed.</li></ul> | Boolean |
  | assignee | Assignee of the checklist item. | Map object |
  | [deadline](#deadline-checklist) | Deadline for the checklist item. | Map object |
  | checklistItemType | Type of the checklist item. | String |
  <!-- endsource: en/api-ref/_includes/checklist-items.md -->

  {% endcut %}

- Request failed

  If the request is processed incorrectly, the API returns a response with an error code:

  <!-- source: en/api-ref/_includes/answer-error-400.md -->
  400
  :   One or more request parameters have an invalid value.
  <!-- endsource: en/api-ref/_includes/answer-error-400.md -->

  <!-- source: en/api-ref/_includes/answer-error-404.md -->
  404
  :   The requested object was not found. You may have specified an invalid object ID or key.
  <!-- endsource: en/api-ref/_includes/answer-error-404.md -->

  <!-- source: en/api-ref/_includes/answer-error-422.md -->
  422
  :   JSON validation error, the request is rejected.
  <!-- endsource: en/api-ref/_includes/answer-error-422.md -->

  <!-- source: en/api-ref/_includes/answer-error-423.md -->
  423
  :   Object edits disabled. The `version` parameter value limit (the maximum number of object updates) might have been exceeded. The maximum version value is `10100` for robots and `11100` for users.
  <!-- endsource: en/api-ref/_includes/answer-error-423.md -->

{% endlist %}
